| Version: 3.3.1

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
wxRect2DInt Class Reference

`#include <wx/geometry.h>`

## Public Member Functions
| wxRect2DInt ()
| wxRect2DInt (const wxRect &r)
| wxRect2DInt (wxInt32 x, wxInt32 y, wxInt32 w, wxInt32 h)
| wxRect2DInt (const wxPoint2DInt &topLeft, const wxPoint2DInt &bottomRight)
| wxRect2DInt (const wxPoint2DInt &pos, const wxSize &size)
| wxRect2DInt (const wxRect2DInt &rect)
wxPoint2DInt | GetPosition () const
wxSize | GetSize () const
wxInt32 | GetLeft () const
void | SetLeft (wxInt32 n)
void | MoveLeftTo (wxInt32 n)
wxInt32 | GetTop () const
void | SetTop (wxInt32 n)
void | MoveTopTo (wxInt32 n)
wxInt32 | GetBottom () const
void | SetBottom (wxInt32 n)
void | MoveBottomTo (wxInt32 n)
wxInt32 | GetRight () const
void | SetRight (wxInt32 n)
void | MoveRightTo (wxInt32 n)
wxPoint2DInt | GetLeftTop () const
void | SetLeftTop (const wxPoint2DInt &pt)
void | MoveLeftTopTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetLeftBottom () const
void | SetLeftBottom (const wxPoint2DInt &pt)
void | MoveLeftBottomTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetRightTop () const
void | SetRightTop (const wxPoint2DInt &pt)
void | MoveRightTopTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetRightBottom () const
void | SetRightBottom (const wxPoint2DInt &pt)
void | MoveRightBottomTo (const wxPoint2DInt &pt)
wxPoint2DInt | GetCentre () const
void | SetCentre (const wxPoint2DInt &pt)
void | MoveCentreTo (const wxPoint2DInt &pt)
wxOutCode | GetOutCode (const wxPoint2DInt &pt) const
wxOutCode | GetOutcode (const wxPoint2DInt &pt) const
bool | Contains (const wxPoint2DInt &pt) const
bool | Contains (const wxRect2DInt &rect) const
bool | IsEmpty () const
bool | HaveEqualSize (const wxRect2DInt &rect) const
void | Inset (wxInt32 x, wxInt32 y)
void | Inset (wxInt32 left, wxInt32 top, wxInt32 right, wxInt32 bottom)
void | Offset (const wxPoint2DInt &pt)
void | ConstrainTo (const wxRect2DInt &rect)
wxPoint2DInt | Interpolate (wxInt32 widthfactor, wxInt32 heightfactor) const
void | Intersect (const wxRect2DInt &otherRect)
wxRect2DInt | CreateIntersection (const wxRect2DInt &otherRect) const
bool | Intersects (const wxRect2DInt &rect) const
void | Union (const wxRect2DInt &otherRect)
void | Union (const wxPoint2DInt &pt)
wxRect2DInt | CreateUnion (const wxRect2DInt &otherRect) const
void | Scale (wxInt32 f)
void | Scale (wxInt32 num, wxInt32 denum)
wxRect2DInt & | operator= (const wxRect2DInt &rect)
bool | operator== (const wxRect2DInt &rect) const
bool | operator!= (const wxRect2DInt &rect) const

## Static Public Member Functions
static void | Intersect (const wxRect2DInt &src1, const wxRect2DInt &src2, wxRect2DInt *dest)
static void | Union (const wxRect2DInt &src1, const wxRect2DInt &src2, wxRect2DInt *dest)

## Public Attributes
wxInt32 | m_x
wxInt32 | m_y
wxInt32 | m_width
wxInt32 | m_height

## Constructor & Destructor Documentation

## ◆ wxRect2DInt() [1/6]

wxRect2DInt::wxRect2DInt | ( |  | ) |

## ◆ wxRect2DInt() [2/6]

wxRect2DInt::wxRect2DInt | ( | const wxRect & | r | ) |

## ◆ wxRect2DInt() [3/6]

wxRect2DInt::wxRect2DInt | ( | wxInt32 | x,
|  | wxInt32 | y,
|  | wxInt32 | w,
|  | wxInt32 | h
| ) |  |

## ◆ wxRect2DInt() [4/6]

wxRect2DInt::wxRect2DInt | ( | const wxPoint2DInt & | topLeft,
|  | const wxPoint2DInt & | bottomRight
| ) |  |

## ◆ wxRect2DInt() [5/6]

wxRect2DInt::wxRect2DInt | ( | const wxPoint2DInt & | pos,
|  | const wxSize & | size
| ) |  |

## ◆ wxRect2DInt() [6/6]

wxRect2DInt::wxRect2DInt | ( | const wxRect2DInt & | rect | ) |

## Member Function Documentation

## ◆ ConstrainTo()

void wxRect2DInt::ConstrainTo | ( | const wxRect2DInt & | rect | ) |

## ◆ Contains() [1/2]

bool wxRect2DInt::Contains | ( | const wxPoint2DInt & | pt | ) | const

## ◆ Contains() [2/2]

bool wxRect2DInt::Contains | ( | const wxRect2DInt & | rect | ) | const

## ◆ CreateIntersection()

wxRect2DInt wxRect2DInt::CreateIntersection | ( | const wxRect2DInt & | otherRect | ) | const

## ◆ CreateUnion()

wxRect2DInt wxRect2DInt::CreateUnion | ( | const wxRect2DInt & | otherRect | ) | const

## ◆ GetBottom()

wxInt32 wxRect2DInt::GetBottom | ( |  | ) | const

## ◆ GetCentre()

wxPoint2DInt wxRect2DInt::GetCentre | ( |  | ) | const

## ◆ GetLeft()

wxInt32 wxRect2DInt::GetLeft | ( |  | ) | const

## ◆ GetLeftBottom()

wxPoint2DInt wxRect2DInt::GetLeftBottom | ( |  | ) | const

## ◆ GetLeftTop()

wxPoint2DInt wxRect2DInt::GetLeftTop | ( |  | ) | const

## ◆ GetOutCode()

wxOutCode wxRect2DInt::GetOutCode | ( | const wxPoint2DInt & | pt | ) | const

## ◆ GetOutcode()

wxOutCode wxRect2DInt::GetOutcode | ( | const wxPoint2DInt & | pt | ) | const

## ◆ GetPosition()

wxPoint2DInt wxRect2DInt::GetPosition | ( |  | ) | const

## ◆ GetRight()

wxInt32 wxRect2DInt::GetRight | ( |  | ) | const

## ◆ GetRightBottom()

wxPoint2DInt wxRect2DInt::GetRightBottom | ( |  | ) | const

## ◆ GetRightTop()

wxPoint2DInt wxRect2DInt::GetRightTop | ( |  | ) | const

## ◆ GetSize()

wxSize wxRect2DInt::GetSize | ( |  | ) | const

## ◆ GetTop()

wxInt32 wxRect2DInt::GetTop | ( |  | ) | const

## ◆ HaveEqualSize()

bool wxRect2DInt::HaveEqualSize | ( | const wxRect2DInt & | rect | ) | const

## ◆ Inset() [1/2]

void wxRect2DInt::Inset | ( | wxInt32 | left,
|  | wxInt32 | top,
|  | wxInt32 | right,
|  | wxInt32 | bottom
| ) |  |

## ◆ Inset() [2/2]

void wxRect2DInt::Inset | ( | wxInt32 | x,
|  | wxInt32 | y
| ) |  |

## ◆ Interpolate()

wxPoint2DInt wxRect2DInt::Interpolate | ( | wxInt32 | widthfactor,
|  | wxInt32 | heightfactor
| ) |  | const

## ◆ Intersect() [1/2]

void wxRect2DInt::Intersect | ( | const wxRect2DInt & | otherRect | ) |

## ◆ Intersect() [2/2]

static void wxRect2DInt::Intersect | ( | const wxRect2DInt & | src1,
|  | const wxRect2DInt & | src2,
|  | wxRect2DInt * | dest
| ) |  |
| static

## ◆ Intersects()

bool wxRect2DInt::Intersects | ( | const wxRect2DInt & | rect | ) | const

## ◆ IsEmpty()

bool wxRect2DInt::IsEmpty | ( |  | ) | const

## ◆ MoveBottomTo()

void wxRect2DInt::MoveBottomTo | ( | wxInt32 | n | ) |

## ◆ MoveCentreTo()

void wxRect2DInt::MoveCentreTo | ( | const wxPoint2DInt & | pt | ) |

## ◆ MoveLeftBottomTo()

void wxRect2DInt::MoveLeftBottomTo | ( | const wxPoint2DInt & | pt | ) |

## ◆ MoveLeftTo()

void wxRect2DInt::MoveLeftTo | ( | wxInt32 | n | ) |

## ◆ MoveLeftTopTo()

void wxRect2DInt::MoveLeftTopTo | ( | const wxPoint2DInt & | pt | ) |

## ◆ MoveRightBottomTo()

void wxRect2DInt::MoveRightBottomTo | ( | const wxPoint2DInt & | pt | ) |

## ◆ MoveRightTo()

void wxRect2DInt::MoveRightTo | ( | wxInt32 | n | ) |

## ◆ MoveRightTopTo()

void wxRect2DInt::MoveRightTopTo | ( | const wxPoint2DInt & | pt | ) |

## ◆ MoveTopTo()

void wxRect2DInt::MoveTopTo | ( | wxInt32 | n | ) |

## ◆ Offset()

void wxRect2DInt::Offset | ( | const wxPoint2DInt & | pt | ) |

## ◆ operator!=()

bool wxRect2DInt::operator!= | ( | const wxRect2DInt & | rect | ) | const

## ◆ operator=()

wxRect2DInt& wxRect2DInt::operator= | ( | const wxRect2DInt & | rect | ) |

## ◆ operator==()

bool wxRect2DInt::operator== | ( | const wxRect2DInt & | rect | ) | const

## ◆ Scale() [1/2]

void wxRect2DInt::Scale | ( | wxInt32 | f | ) |

## ◆ Scale() [2/2]

void wxRect2DInt::Scale | ( | wxInt32 | num,
|  | wxInt32 | denum
| ) |  |

## ◆ SetBottom()

void wxRect2DInt::SetBottom | ( | wxInt32 | n | ) |

## ◆ SetCentre()

void wxRect2DInt::SetCentre | ( | const wxPoint2DInt & | pt | ) |

## ◆ SetLeft()

void wxRect2DInt::SetLeft | ( | wxInt32 | n | ) |

## ◆ SetLeftBottom()

void wxRect2DInt::SetLeftBottom | ( | const wxPoint2DInt & | pt | ) |

## ◆ SetLeftTop()

void wxRect2DInt::SetLeftTop | ( | const wxPoint2DInt & | pt | ) |

## ◆ SetRight()

void wxRect2DInt::SetRight | ( | wxInt32 | n | ) |

## ◆ SetRightBottom()

void wxRect2DInt::SetRightBottom | ( | const wxPoint2DInt & | pt | ) |

## ◆ SetRightTop()

void wxRect2DInt::SetRightTop | ( | const wxPoint2DInt & | pt | ) |

## ◆ SetTop()

void wxRect2DInt::SetTop | ( | wxInt32 | n | ) |

## ◆ Union() [1/3]

void wxRect2DInt::Union | ( | const wxPoint2DInt & | pt | ) |

## ◆ Union() [2/3]

void wxRect2DInt::Union | ( | const wxRect2DInt & | otherRect | ) |

## ◆ Union() [3/3]

static void wxRect2DInt::Union | ( | const wxRect2DInt & | src1,
|  | const wxRect2DInt & | src2,
|  | wxRect2DInt * | dest
| ) |  |
| static

## Member Data Documentation

## ◆ m_height

wxInt32 wxRect2DInt::m_height

## ◆ m_width

wxInt32 wxRect2DInt::m_width

## ◆ m_x

wxInt32 wxRect2DInt::m_x

## ◆ m_y

wxInt32 wxRect2DInt::m_y